### Function

# Gimp gradients_popup

#### Declaration [src]

    gboolean
    gimp_gradients_popup (
      const gchar* gradient_callback,
      const gchar* popup_title,
      const gchar* initial_gradient,
      gint sample_size
    )

#### Description [src]

Invokes the Gimp gradients selection.

This procedure opens the gradient selection dialog.

#### Parameters

`gradient_callback` | `const gchar*`
| The callback PDB proc to call when gradient selection is made.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`popup_title` | `const gchar*`
| Title of the gradient selection dialog.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`initial_gradient` | `const gchar*`
| The name of the gradient to set as the first selected.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`sample_size` | `gint`
| Size of the sample to return when the gradient is changed.

#### Return value

Returns: | `gboolean`
| TRUE on success.